# studio::StateCircle Class Reference

`#include <state_circle.h>`

List of all members.

## Public Member Functions

| StateCircle ()
| ~StateCircle ()

## Constructor & Destructor Documentation

StateCircle::StateCircle | ( |  | ) |

References studio::EVENT_LAYER_SELECTION_CHANGED, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN, studio::EVENT_WORKAREA_MOUSE_BUTTON_DRAG, and studio::EVENT_WORKAREA_MOUSE_BUTTON_UP.

StateCircle::~StateCircle | ( |  | ) |

The documentation for this class was generated from the following files:

- state_circle.h
- state_circle.cpp